SignRank {base} | R Documentation

## Distribution of the Wilcoxon Signed Rank Statistic

### Description

Density, distribution function, quantile function and random generation for the distribution of the Wilcoxon Signed Rank statistic obtained from a sample with size `n`.

### Usage

    dsignrank(x, n, log = FALSE)
    psignrank(q, n, lower.tail = TRUE, log.p = FALSE)
    qsignrank(p, n, lower.tail = TRUE, log.p = FALSE)
    rsignrank(nn, n)

### Arguments

`x,q` | vector of quantiles.
`p` | vector of probabilities.
`nn` | number of observations. If `length(nn) > 1`, the length is taken to be the number required.
`n` | numbers of observations in the sample. Must be positive integers less than 50.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

This distribution is obtained as follows. Let `x` be a sample of size `n` from a continuous distribution symmetric about the origin. Then the Wilcoxon signed rank statistic is the sum of the ranks of the absolute values `x[i]` for which `x[i]` is positive. This statistic takes values between 0 and n(n+1)/2, and its mean and variance are n(n+1)/4 and n(n+1)(2n+1)/24, respectively.

### Value

`dsignrank` gives the density, `psignrank` gives the distribution function, `qsignrank` gives the quantile function, and `rsignrank` generates random deviates.

### Author(s)

Kurt Hornik hornik@ci.tuwien.ac.at

### See Also

`dwilcox` etc, for the two-sample Wilcoxon rank sum statistic.

### Examples

    par(mfrow=c(2,2))
    for(n in c(4:5,10,40)) {
      x <- seq(0, n*(n+1)/2, length=501)
      plot(x, dsignrank(x,n=n), type='l', main=paste("dsignrank(x,n=",n,")"))
    }

[Package Contents]